## node-consolidate 0.16.0+~0.14.1

=== Makefile ===

REPORTER = spec

test:
	@./node_modules/.bin/mocha \
	  --slow 30 \
	  --reporter $(REPORTER)

.PHONY: test

## node-consolidate 0.14.5

=== debian/changelog ===
node-consolidate (0.14.5-1) unstable; urgency=low

  * Initial release (Closes: #879201)

 -- Pirate Praveen <praveen@debian.org>  Fri, 20 Oct 2017 17:16:41 +0530

=== debian/control ===
Source: node-consolidate
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
Standards-Version: 4.1.1
Homepage: https://github.com/visionmedia/consolidate.js#readme
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-consolidate.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-consolidate.git

Package: node-consolidate
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-bluebird (>= 3.1.1)
Description: Template engine consolidation library
 This module supports a large number of template engines like ejs, haml,
 handlebars, pug etc
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/tests/control ===
Tests: require
Depends: node-consolidate

=== debian/watch ===
version=3
# It is not recommended use fakeupstream. Please investigate more.
# Origin url: https://github.com/visionmedia/consolidate.js
# Take a look at https://wiki.debian.org/debian/watch/
# See also fakeupstream: http://anonscm.debian.org/viewvc/qa/trunk/cgi-bin/fakeupstream.cgi?view=markup
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*=// \
 http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=npmjs/consolidate .*=consolidate-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## node-consolidate 0.15.1

=== debian/changelog ===
node-consolidate (0.15.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.15.1
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Bump debhelper compatibility level to 11
  * Disable patches as it were no longer applicable
  * Update d/copyright
  * Update URL in the Vcs-* field
  * Add minimal test
  * Add d/upstream/metadata
  * Update d/watch

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Tue, 22 Jan 2019 20:19:50 +0530

=== debian/control ===
Source: node-consolidate
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 11~),
 dh-buildinfo,
 node-bluebird,
 nodejs
Standards-Version: 4.3.0
Homepage: https://github.com/visionmedia/consolidate.js
Vcs-Git: https://salsa.debian.org/js-team/node-consolidate.git
Vcs-Browser: https://salsa.debian.org/js-team/node-consolidate

Package: node-consolidate
Architecture: all
Depends:
 ${misc:Depends},
 nodejs,
 node-bluebird
Description: Template engine consolidation library
 This module supports a large number of template engines like ejs, haml,
 handlebars, pug etc
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	node -e 'require(".")'
endif

override_dh_installchangelogs:
	dh_installchangelogs -k History.md

=== debian/watch ===
--- 
+++ 
@@ -6,4 +6,4 @@
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 filenamemangle=s/.*=// \
- http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=npmjs/consolidate .*=consolidate-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
+ https://github.com/tj/consolidate.js/tags .*=consolidate-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## node-consolidate 0.15.1%2Brepack

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
+Testsuite: autopkgtest-pkg-nodejs
 Build-Depends:
- debhelper (>= 11~),
- dh-buildinfo,
+ debhelper-compat (= 12),
  node-bluebird,
- nodejs
-Standards-Version: 4.3.0
+ nodejs,
+ pkg-js-tools (>= 0.8.10)
+Standards-Version: 4.4.0
 Homepage: https://github.com/visionmedia/consolidate.js
 Vcs-Git: https://salsa.debian.org/js-team/node-consolidate.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-consolidate

## node-consolidate 0.15.1+repack

=== debian/changelog ===
node-consolidate (0.15.1+repack-1) unstable; urgency=medium

  * Team upload
  * Fix debian/watch
  * Repack due to missing test directory
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Add debian/gbp.conf
  * Switch install and test to pkg-js-tools
  * Install examples

 -- Xavier Guimard <yadd@debian.org>  Sun, 04 Aug 2019 23:54:35 +0200

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-consolidate-$1.tar.gz/ \
 https://github.com/tj/consolidate.js/tags .*/archive/v?\.?([\d\.]+).tar.gz

## node-consolidate 0.16.0

=== debian/changelog ===
node-consolidate (0.16.0-2) unstable; urgency=medium

  * Team upload
  * Remove test dependency to deprecated node-jade

 -- Yadd <yadd@debian.org>  Fri, 08 Oct 2021 10:34:14 +0200

node-consolidate (0.16.0-1) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.0, no changes needed.
  * Add "Rules-Requires-Root: no"
  * Fix GitHub tags regex
  * Use dh-sequence-nodejs instead of pkg-js-tools
  * New upstream version 0.16.0
  * Use babel7 instead of old babel6 (Closes: #978051)
  * Embed liquid-node, squirrelly, strftime and inyliquid for test only
  * Enable part of upstream test using mocha
  * Add test dependencies
  * Add lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 06 Oct 2021 13:48:25 +0200

node-consolidate (0.15.1+repack-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 19 Sep 2021 14:09:31 +0100

node-consolidate (0.15.1+repack-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 Aug 2021 23:34:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,32 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Testsuite: autopkgtest-pkg-nodejs
 Build-Depends:
- debhelper-compat (= 12),
- node-bluebird,
- nodejs,
- pkg-js-tools (>= 0.8.10)
-Standards-Version: 4.4.0
+ debhelper-compat (= 13)
+ , chai
+ , handlebars
+ , dh-sequence-nodejs
+ , mocha <!nocheck>
+ , node-babel7 <!nocheck>
+ , node-bluebird <!nocheck>
+ , node-dot <!nocheck>
+ , node-ejs <!nocheck>
+ , node-lodash <!nocheck>
+ , node-mustache <!nocheck>
+ , node-react <!nocheck>
+ , node-should <!nocheck>
+ , node-underscore <!nocheck>
+Standards-Version: 4.6.0
 Homepage: https://github.com/visionmedia/consolidate.js
 Vcs-Git: https://salsa.debian.org/js-team/node-consolidate.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-consolidate
+Rules-Requires-Root: no
 
 Package: node-consolidate
 Architecture: all
 Depends:
- ${misc:Depends},
- nodejs,
- node-bluebird
+ ${misc:Depends}
+ , node-babel7
+ , node-bluebird
 Description: Template engine consolidation library
  This module supports a large number of template engines like ejs, haml,
  handlebars, pug etc

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-consolidate-$1.tar.gz/ \
 https://github.com/tj/consolidate.js/tags .*/archive/.*/v?\.?([\d\.]+).tar.gz

## node-consolidate 0.16.0%2B~0.14.1

=== debian/control ===
Source: node-consolidate
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: chai
 , debhelper-compat (= 13)
 , dh-sequence-nodejs
 , handlebars
 , mocha <!nocheck>
 , node-babel7 <!nocheck>
 , node-dot <!nocheck>
 , node-ejs <!nocheck>
 , node-lodash <!nocheck>
 , node-mustache <!nocheck>
 , node-react <!nocheck>
 , node-react-dom <!nocheck>
 , node-should <!nocheck>
 , node-underscore <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/js-team/node-consolidate
Vcs-Git: https://salsa.debian.org/js-team/node-consolidate.git
Homepage: https://github.com/visionmedia/consolidate.js
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-consolidate
Architecture: all
Depends: ${misc:Depends}
 , node-babel7
Provides: ${nodejs:Provides}
Description: Template engine consolidation library
 This module supports a large number of template engines like ejs, haml,
 handlebars, pug etc
 .
 Node.js is an event-based server-side JavaScript engine.

## node-consolidate 0.16.0+~0.14.1

=== debian/changelog ===
node-consolidate (0.16.0+~0.14.1-3) unstable; urgency=medium

  * Team upload
  * Bug fix: "Drop bluebird" (Closes: #1119319).
  * Bump policy to 4.7.0

 -- Bastien Roucariès <rouca@debian.org>  Wed, 29 Oct 2025 11:10:38 +0100

node-consolidate (0.16.0+~0.14.1-2) unstable; urgency=medium

  * Team upload
  * Increase test timeout (for armel)

 -- Yadd <yadd@debian.org>  Tue, 27 Sep 2022 13:52:19 +0200

node-consolidate (0.16.0+~0.14.1-1) unstable; urgency=medium

  * Team upload
  * Fix filenamemangle
  * Embed typescript declarations
  * New upstream version 0.16.0+~0.14.1
  * Declare compliance with policy 4.6.1
  * Add build dependency to node-react-dom

 -- Yadd <yadd@debian.org>  Sun, 10 Jul 2022 10:35:06 +0200

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-consolidate-$1/ \
 https://github.com/tj/consolidate.js/tags .*/archive/.*/v?\.?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-consolidate,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-consolidate-$1/" \
 https://registry.npmjs.org/@types/consolidate https://registry.npmjs.org/@types/consolidate/-/consolidate-([\d\.]+)@ARCHIVE_EXT@ group
